from pydantic import BaseModel, EmailStr, Field


class User(BaseModel):
    username: str
    email: EmailStr
    password: str


class Token(BaseModel):
    datacenter: str
    token: str


class UserLoginSchema(BaseModel):
    username: str
    password: str

    class Config:
        schema_extra = {"example": {"username": "user", "password": "weakpassword"}}


class DataCenterSchema(BaseModel):
    name: str = Field(min_length=3, max_length=50)
    url: str
    active: bool = False
    weight: float = 1.0
